function setList()
{
	var pageWidth=document.documentElement.clientWidth-9;
	$(".sub_container_content").css("width",pageWidth);
	$(".sub_container_listhead").css("width",pageWidth);
	$(".llist").css("width",pageWidth);
	var c1_width = pageWidth*0.04+"px";
	var c2_width = pageWidth*0.20+"px";
	var c3_width = pageWidth*0.08+"px";
	var c4_width = pageWidth*0.08+"px";
	var c5_width = pageWidth*0.12+"px";
	var c6_width = pageWidth*0.05+"px";
	var c7_width = pageWidth*0.04+"px";
	var c8_width = pageWidth*0.07+"px";
	var c9_width = pageWidth*0.04+"px";
	var c10_width = pageWidth*0.04+"px";
	$('.c1').css("width",c1_width);
	$('.c2').css("width",c2_width);
	$('.c3').css("width",c3_width);
	$('.c4').css("width",c4_width);
	$('.c5').css("width",c5_width);
	$('.c6').css("width",c6_width);
	$('.c7').css("width",c7_width);
	$('.c8').css("width",c8_width);
	$('.c9').css("width",c9_width);
	$('.c10').css("width",c10_width);
}

//绑定数据
function BindProducts(weburl,urldata){
//    alert(urldata);
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg)
        {
            if(ProductType == -1){//如果是从回收站返回来的,就需要将隐藏的列显示出来
                ProductType = 1;
                $('#listhead').find('th').show();
                $('#template').find('td').show();
            }
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.Product;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')}); //将复制的行显示出来并添加样式
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.ProductID + '" />');//checkbox
                row.find('#Name').html('<a href="../../PackageList.aspx" target="_blank">'+n.ProductName+'</a>'); //商品名称
                row.find('#MarketPrice')
                   .find('input[@type=text]')
                   .attr('name','marketPrice_'+n.ProductID)
                   .attr('id','marketPrice_'+n.ProductID)
                   .val(Number(n.MarketPrice).toFixed(2))//两位小数
                   .blur(function(){CheckMoney($(this));})    //替换非数字,选中checkbox //市场价结束
                   .change(function(){CheckOn($(this));});
                row.find('#MemberPrice')
                   .find('input[@type=text]')
                   .attr('name','memberPrice_'+n.ProductID)
                   .attr('id','memberPrice_'+n.ProductID)
                   .val(Number(n.MemberPrice).toFixed(2))//两位小数
                   .blur(function(){CheckMoney($(this));})    //替换非数字,选中checkbox   //会员价结束
                   .change(function(){CheckOn($(this));});
                row.find('#ProductNo').text(n.ProductNo);   //编码
                row.find('#Storage').text(n.Storage);   //库存量
                row.find('#Sort')
                   .find('input[@type=text]')
                   .attr('name','sort_'+n.ProductID)
                   .attr('id','sort_'+n.ProductID)
                   .val(n.Sort)
                   .blur(function(){CheckSort($(this));})     //排序
                   .change(function(){CheckOn($(this));});
                row.find('#IsForSale').html(n.IsForSale == '1' ? '<font color=green>是</font>' : '<font color=red>否</font>');      //发布
                row.find('#Modify').html('<a href="BindingAdd.aspx?from=list&ProductID='+n.ProductID+'">修改</a>').find('a').click(function(){ShowModify($(this).attr('href'));return false});
                row.find('#Delete').html('<a href="Binding.aspx?type=DeleteProduct&PID=' + n.ProductID + '&action=deleteRecycle">删除</a>')
                   .find('a').click(function(){
                        if(confirm('确定要删除该商品吗?')){
                            DeleteProduct(n.ProductID,'deleteRecycle');//点击删除
                        }
                        return false;
                   });//end click
                row.find('#Space').html('  ');
                
				row.attr("id","ready_" + n.ProductID);//改变绑定好数据的行的id
				row.appendTo("#datas");//添加到模板的容器中
            });
            
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "Binding.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindProducts('Binding.aspx','type=SearchProductsAjax&keyword=" + escape(keyword) + "&CatID=" + catID + "&PageSize=" + PageSize + "&Page={pageindex}');return false;"}//[attr]
            );
            
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert('error')};}
    });//end ajax
}//end funciton

//绑定回收站商品
function BindRecycle(weburl,urldata){
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg){
            //隐藏多余的列
            var template = $('#template');
            template.hide();//将第一行模板隐藏
            template.find('#IsForSale').hide();
            template.find('#Modify').hide();
            var head = $('#listhead');
            head.find('.IsForSale').hide();
            head.find('.Modify').hide();
            
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.Product;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')}); //将复制的行显示出来并添加样式
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.ProductID + '" />');//checkbox
                row.find('#Name').text(n.ProductName); //商品名称
                row.find('#MarketPrice').html(Number(n.MarketPrice).toFixed(2));    //市场价结束
                row.find('#MemberPrice').html(Number(n.MemberPrice).toFixed(2));   //会员价结束
                row.find('#ProductNo').text(n.ProductNo);   //编码
                row.find('#Storage').text(n.Storage);   //库存量
                row.find('#Sort')
                   .find('input[@type=text]')
                   .attr('name','sort_'+n.ProductID)
                   .attr('id','sort_'+n.ProductID)
                   .val(n.Sort)
                   .keyup(function(){CheckSort($(this));CheckOn($(this));});     //排序
                row.find('#Delete').html('<a href="Binding.aspx?type=DeleteProduct&PID=' + n.ProductID + '&action=deleteRecycle">删除</a>')
                   .find('a').click(function(){
                        if(confirm('确定要删除该商品吗?')){
                            DeleteProduct(n.ProductID,'deleteRecycle');//点击彻底删除
                        }
                        return false;
                   });//end click
                
				row.attr("id","ready_" + n.ProductID);//改变绑定好数据的行的id
				row.appendTo("#datas");//添加到模板的容器中
            });
            
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "Products.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindRecycle('Binding.aspx','type=SearchProductsAjax&keyword=" + escape(keyword_recycle) + "&CatID=" + catID_recycle + "&PageSize=" + PageSize + "&Page={pageindex}&ProductType=-1');return false;"}//[attr]
            );
            
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}}
    });//end ajax
}   //end funciton BindRecycle()

//当填写会员价格,市场价格,排序时,自动将前面的checkbox选中
function CheckOn(obj){
    obj.parent().siblings('td[@id=checkbox]').find('input[@name=chkItem]').attr('checked','true');
}

//更新商品几种状态的公共方法
function UpdateStatus(aObj,imgObj){
    $.ajax({
        url:aObj.attr('href')+'&NoCopyRight=1',
        cache:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;}//是否要重新登陆
            if(data == 1){//如果更新成功,改变图片
                var newhref = '';
                if(imgObj.attr('src').toLowerCase().indexOf('publish_1.png') != -1){
                    imgObj.attr('src','images/publish_0.png');
                    newhref = aObj.attr('href').replace('=false','=true').replace('IsForSale=1','IsForSale=0');
                    aObj.attr('href',newhref);//重新设置链接
                }else{
                    imgObj.attr('src','images/publish_1.png');
                    newhref = aObj.attr('href').replace('=true','=false').replace('IsForSale=0','IsForSale=1');
                    aObj.attr('href',newhref);//重新设置链接
                }// end if else
            }//end if
        },
        error:function(){alert('error');}
    });//end ajax
}//end funciton BindProducts

//点击修改,显示修改商品的页面
function ShowModify(href){
    $('#frmModify').attr('src',href+'&ran='+Math.random()).css('height',$(window.parent.frames.right).height()).show().siblings().hide();
}

//删除(还原)商品,可一次删除(还原)多个商品.action为toRecycle表示临时删除(放入回收站),action为deleteRecycle表示彻底删除(从回收站中删除),action为reuse表示还原商品
function DeleteProduct(productIDs,action){
    $.ajax({
        url:'Binding.aspx?type=DeleteProduct&PIDs=' + productIDs + '&action='+action + '&NoCopyRight=1',
        cache:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;}//是否要重新登陆
            if(data > 0){
                if(ProductType == 1){
                    search_urldata = 'type=SearchProductsAjax&keyword=' + escape(keyword) + '&CatID=' + catID + '&PageSize='+PageSize+'&Page='+CurrentPage;
                    BindProducts('Binding.aspx',search_urldata);
                }else{//回收站
                    search_urldata_recycle = 'type=SearchProductsAjax&keyword=' + escape(keyword_recycle) + '&CatID=' + catID_recycle + '&PageSize='+PageSize+'&Page='+CurrentPage+'&ProductType=-1';
                    BindRecycle('Binding.aspx',search_urldata_recycle);
                }
            }
        },error:function(){alert('error');}
    });
}

function CheckSort(obj){
	var reg = new RegExp(/\D/g);
	if(reg.test(obj.val()) || obj.val().Trim() == ''){
	    alert('排序填写错误');
	    obj.focus();
	};
}
function CheckMoney(obj){
	var dot = 0;//小数点个数
	var tmp = obj.val();
	while(tmp.indexOf('.') != -1){
	    dot += 1;
	    tmp = tmp.replace('.','_');
	};
	var reg = new RegExp(/[^\d\.]/g);
	if(reg.test(obj.val()) || obj.val().Trim() == '' || dot > 1){
	    alert('价格填写错误');
	    obj.focus();
	};
}

//获取URL中参数
function getQueryStringRegExp(name){    
	var reg = new RegExp("(^|\\?|&)"+ name +"=([^&]*)(\\s|&|$)", "i");
	if (reg.test(location.href))
		return unescape(RegExp.$2.replace(/\+/g, " "));
		return "";
}
//去掉字符串前后空格
String.prototype.Trim = function() { 
    return this.replace(/(^\s*)|(\s*$)/g, ""); 
}

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}

function test(){
    alert('test ok');
}
